Post by pagecom » Sun Jun 26, 2011 7:45 am

Hello,

Is the MD5 Hash required for Authorize.net AIM in opencart 1.5? I thought this was only required in SIM . any info on this is much appreciated.

Thank you
Joe

Newbie

Posts

Joined
Tue Oct 26, 2010 2:23 am

Post by MrSmileyJr » Tue Jul 26, 2011 8:37 pm

it wasnt required in 1.4.9.5 so I'm not sure why its required again. Anyone have any clue? Thanks!

Never lose data again! Use Dropbox - DO THIS BEFORE YOU SIGNUP for Extra Space!!
http://db.tt/inKP3mv Signing up via this link gives you a bonus of 256 MB
More Bonuses: http://www.dropbox.com/free .5 GB
http://www.dropbox.com/edu = double your bonus referrals by giving an edu address.
Total ~ 3gb


New member

Posts

Joined
Fri Mar 11, 2011 5:07 am

Post by Qphoria » Tue Jul 26, 2011 10:11 pm

I removed the required mark in v1.4.9.3 and later, but 1.5.x was originally branched from 1.4.9.0 so it didn't get some of those changes. Report it in the 1.5.1.1 bug thread.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by MrSmileyJr » Tue Jul 26, 2011 10:25 pm

is there a quick way to remove the required mark? thx

Never lose data again! Use Dropbox - DO THIS BEFORE YOU SIGNUP for Extra Space!!
http://db.tt/inKP3mv Signing up via this link gives you a bonus of 256 MB
More Bonuses: http://www.dropbox.com/free .5 GB
http://www.dropbox.com/edu = double your bonus referrals by giving an edu address.
Total ~ 3gb


New member

Posts

Joined
Fri Mar 11, 2011 5:07 am

Post by Qphoria » Tue Jul 26, 2011 11:09 pm

yea..

1. EDIT: admin/controller/payment/authorizenet_aim.php

2. FIND:

Code: Select all

$this->error['hash'] = $this->language->get('error_hash');
3. REPLACE WITH:

Code: Select all

//$this->error['hash'] = $this->language->get('error_hash');

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am
Who is online

Users browsing this forum: No registered users and 8 guests